These are chat archives for opal/opal

5th
Jul 2018
Mitch VanDuyn
@catmando
Jul 05 2018 00:13
@elia what is the relationship between this and the stuff on master? What is the relationship between this and your fork @janbiedermann ?
Jan Biedermann
@janbiedermann
Jul 05 2018 00:28
i guess you mean the es6_import_export branch? es6_import_export is taken from master and will not be part of 0.11.1
Jan Biedermann
@janbiedermann
Jul 05 2018 00:53
it has not been merged and can be found here: opal/opal#1832
Colin Gunn
@balmoral
Jul 05 2018 07:44
@elia :clap: I’ve been running a reasonably complex semi-production SPA (using my RoBE framework https://github.com/balmoral/robe) on 0.11.0 for a while. Just switched to 0.11.1.pre and no issues.
Colin Gunn
@balmoral
Jul 05 2018 07:51
No issues with master either :smile:
Elia Schito
@elia
Jul 05 2018 08:41
@janbiedermann the plan is to release updated versions for the libs in the opal org (i.e. opal-jquery, opal-rspec, …) and then go 1.0 with the next release (except for bugfixes), that PR surely needs some attention on our part, but I assure you the intention is to add module support to the compiler/builder
Jan Biedermann
@janbiedermann
Jul 05 2018 08:43
yes, sort of, i agree, its not fit for 0.11.1
i mean also needs attention from my part
Jan Biedermann
@janbiedermann
Jul 05 2018 08:50
that module support probably only makes sense if the accompanying webpack based build process is used, which was the reason for it in the first place, to access all those webpack features
Elia Schito
@elia
Jul 05 2018 12:43
@catmando sorry I missed your question earlier, 0.11.1 backports a couple of fixes from master the should make it easier to release a 0.11 compatible version of opal-rspec and opal-jquery, on master there's much more stuff including a complete rewrite of inheritance, Module#prepend, etc.
the stuff on master should go into 1.0, I don't exclude that es6 module support could be backported to 0.11 but it's not the focus, I'd rather prefer to release 1.0 along with module support first
Mitch VanDuyn
@catmando
Jul 05 2018 14:11
@elia what is the ETA for 1.0? It seems like hyperloop is going to be depending on @janbiedermann fork of master so...
Elia Schito
@elia
Jul 05 2018 14:16
@catmando good to know there's this dependency, I'll try to speed up the digestion of that PR, alas I have no ETA, lately I had a bit less time available and things kinda slowed down, usually I try to have any major release working on some real-world non-trivial app before releasing.
@catmando @janbiedermann maybe it will be worth targeting 0-11-stable instead of master in the PR
Jan Biedermann
@janbiedermann
Jul 05 2018 17:15
@elia , @iliabylich thanks for you review, will work on it